dbXML API

## com.dbxml.db.admin.xmleditor
Class DefaultNodeEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.dbxml.db.admin.xmleditor.NodeEditorBase
                          com.dbxml.db.admin.xmleditor.DefaultNodeEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, Expandable, java.awt.image.ImageObserver, java.awt.MenuContainer, NodeEditor, java.io.Serializable

public class DefaultNodeEditor
extends NodeEditorBase
implements Expandable

DefaultNodeEditor

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DefaultNodeEditor()`
`DefaultNodeEditor(XMLEditor owner)`
`DefaultNodeEditor(XMLEditor owner, DefaultNodeEditor parent, org.w3c.dom.Node node)`

Method Summary
`void` `collapseAll()` collapseAll instructs the NodeEditor to recursively collapse its contents.
`void` `expandAll()` expandAll instructs the NodeEditor to recursively expand its contents.
`boolean` `isExpanded()` isExpanded returns whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).
`void` `setExpanded(boolean expanded)` setExpanded sets whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).
`void` `setNode(org.w3c.dom.Node node)` setNode sets the DOM Node for this NodeEditor.

Methods inherited from class com.dbxml.db.admin.xmleditor.NodeEditorBase
`getNode, isShowBorder, setBackground, setOwner, setShowBorder`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultNodeEditor

    public DefaultNodeEditor()

### DefaultNodeEditor

    public DefaultNodeEditor(XMLEditor owner,
                             DefaultNodeEditor parent,
                             org.w3c.dom.Node node)

### DefaultNodeEditor

    public DefaultNodeEditor(XMLEditor owner)

Method Detail

### setNode

    public void setNode(org.w3c.dom.Node node)

  Description copied from interface: `NodeEditor`
  setNode sets the DOM Node for this NodeEditor.

  Specified by:
    `setNode` in interface `NodeEditor`
  Overrides:
    `setNode` in class `NodeEditorBase`

### isExpanded

    public boolean isExpanded()

  Description copied from interface: `Expandable`
  isExpanded returns whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).

  Specified by:
    `isExpanded` in interface `Expandable`
  Returns:
    The NodeEditor's expanded state

### setExpanded

    public void setExpanded(boolean expanded)

  Description copied from interface: `Expandable`
  setExpanded sets whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).

  Specified by:
    `setExpanded` in interface `Expandable`
  Parameters:
    `expanded` - The NodeEditor's expanded state

### expandAll

    public void expandAll()

  Description copied from interface: `Expandable`
  expandAll instructs the NodeEditor to recursively expand its contents. This call should also be sent to the children of the NodeEditor.

  Specified by:
    `expandAll` in interface `Expandable`

### collapseAll

    public void collapseAll()

  Description copied from interface: `Expandable`
  collapseAll instructs the NodeEditor to recursively collapse its contents. This call should also be sent to the children of the NodeEditor.

  Specified by:
    `collapseAll` in interface `Expandable`

dbXML API

Copyright (c) 2004 The dbXML Group